# Calculator

Calculator is a Python package that contains functions for calculation actions:

- Addition / Subtraction.
- Multiplication / Division.
- Take (n) root of a number.

## Installation

Use the package manager pip to install calculator.

```
pip install dgcalculator
```

## Usage

```
>>> from calculator import Calculator
>>> calculator = Calculator()
```

Calculator has its own memory, calculator performs actions with
a value inside its memory until it is reset.
Calculations starts with the default memory value = 0

```
>>> calculator.result
0
```

### result

Returns current value in calculator memory e.g.:

```
>>> calculator.result
50
>>> calculator
50
>>> print(calculator)
50
```

### reset

Resets calculations to Zero.

```
>>> calculator.result
50
>>> calculator.reset()
0
```

### add

Adds number to current calculator memory value (result) e.g.:

```
>>> calculator.result
0
>>> calculator.add(50)
50
>>> calculator.add(-20)
30
```

### subtract

Subtracts number of current calculator memory value (result) e.g.:

```
>>> calculator.result
50
>>> calculator.subtract(50)
0
>>> calculator.subtract(-5)
5
```

### multiply

Multiplies current calculator memory value (result) by number e.g.:

```
>>> calculator.result
50
>>> calculator.multiply(-5)
-250
>>> calculator.multiply(25)
-10
```

### divide

Divides current calculator memory value (result) by number e.g.:

```
>>> calculator.result
50
>>> calculator.divide(5)
10.0
>>> calculator.divide(-5)
-2.0
```

### n root of a number

Calculates n root of current calculator memory value (result) e.g.:

```
>>> calculator.result
100
>>> calculator.root(2)
10.0
```

```
>>> calculator.result
100
>>> calculator.root(-2)
0.1
```

> **_NOTE:_**  Root of negative numbers is not supported yet, Error is raised.
> Root of negative numbers can only be determined using the imaginary
> number called an iota, or i. Iota.

## License

[MIT](https://choosealicense.com/licenses/mit/)
